## jdim 0.2.0

=== docs/Makefile ===
BUNDLE := bundle
BUNDLE_DIR := .bundle/
GEMFILE_LOCK := Gemfile.lock

JEKYLL := $(BUNDLE) exec jekyll
DEST_DIR := _site/


.PHONY: all build clean distclean install run

all: run

build: $(BUNDLE_DIR)
	$(JEKYLL) build -d $(DEST_DIR)

clean: $(DEST_DIR)
	$(JEKYLL) clean -d $(DEST_DIR)

distclean: clean
	$(RM) -rf $(BUNDLE_DIR)
	$(RM) $(GEMFILE_LOCK)

install: $(GEMFILE_LOCK)

run: $(BUNDLE_DIR)
	$(JEKYLL) serve --watch -d $(DEST_DIR)


$(GEMFILE_LOCK):
	$(BUNDLE) install --path $(BUNDLE_DIR)

$(BUNDLE_DIR): $(GEMFILE_LOCK)

## jdim 0.1.0

=== debian/changelog ===
jdim (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #920684)

 -- Hideki Yamane <henrich@debian.org>  Thu, 31 Jan 2019 14:38:50 +0900

=== debian/control ===
Source: jdim
Section: net
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
 libgnutls28-dev, libgcrypt20-dev, libgtkmm-2.4-dev, zlib1g-dev, libmigemo-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
Homepage: https://github.com/JDimproved/JDim
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/jdim.git
Vcs-Browser: https://salsa.debian.org/debian/jdim

Package: jdim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cmigemo-common
Suggests: fonts-konatu | fonts-monapo | fonts-mona
Breaks: jd
Replaces: jd
Description: simple browser for "2ch-style" web forum sites
 JDim (JD improved) offers a comfortable browsing experience on 2ch-style
 bulletin board systems. Its features include:
 .
  - automated login,
  - message viewing/posting,
  - image viewing,
  - mouse gestures,
  - ignore lists,
  - "play-by-play" mode.
 .
 It can also significantly reduce the load on servers by bypassing CGI programs
 and directly retrieving thread data files to your local hard drives.
 .
 "2ch-style" web forum sites have their origins in 2channel, which was a very
 popular Internet forum in Japan. Such sites are often available only in the 
 Japanese language.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
              --with-sessionlib=xsmp --with-alsa --with-gthread \
	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(jdim_option)

override_dh_compress:
	dh_compress -X.xml

=== debian/watch ===
version=4

https://github.com/JDimproved/JDim/releases /JDimproved/JDim/archive/JDim-v@ANY_VERSION@@ARCHIVE_EXT@

## jdim 0.2.0

=== debian/changelog ===
jdim (0.2.0-2) unstable; urgency=medium

  * debian/control
    - set Build-Depends: libgtkmm-3.0-dev to build gtk3 version
  * debian/rules
    - set "--with-gtkmm3" for configure
  * debian/changelog
    - note #932099 fix in previous upload
  * debian/patches
    - add 0004-add-keywords-for-desktop-file.patch
  * drop unnecessary debian/jdim.lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Tue, 13 Aug 2019 02:43:58 +0900

jdim (0.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #932099)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml to exec CI on salsa.debian.org
  * debian/control
    - set Standards-Version: 4.4.0
    - add Rules-Requires-Root: no
    - add Build-Depends: libgtest-dev
  * debian/rules
    - add GTEST_SRCDIR to enable googletest

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Aug 2019 21:33:06 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
- libgnutls28-dev, libgcrypt20-dev, libgtkmm-2.4-dev, zlib1g-dev, libmigemo-dev,
+ libgnutls28-dev, libgcrypt20-dev, libgtkmm-3.0-dev, zlib1g-dev, libmigemo-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
+ libgtest-dev,
 Homepage: https://github.com/JDimproved/JDim
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
 Vcs-Browser: https://salsa.debian.org/debian/jdim
+Rules-Requires-Root: no
 
 Package: jdim
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export GTEST_SRCDIR=/usr/src/googletest
+
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
+              --with-gtkmm3 \
               --with-sessionlib=xsmp --with-alsa --with-gthread \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict

## jdim 0.3.0

=== debian/changelog ===
jdim (0.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:34 +0100

jdim (0.3.0-1) unstable; urgency=medium

  * New upstream release 0.3.0 (Closes: #949203)
  * debian/patches
    - drop patches: merged upstream
  * add "Allow reprotest to fail" to salsa-ci

 -- Hideki Yamane <henrich@debian.org>  Sun, 26 Jan 2020 18:11:24 +0900

jdim (0.2.0-3) unstable; urgency=medium

  * add missing changleog entry
  * debian/rules: fix font issue with Ascii Art

 -- Hideki Yamane <henrich@debian.org>  Sun, 26 Jan 2020 17:38:58 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
- libgnutls28-dev, libgcrypt20-dev, libgtkmm-3.0-dev, zlib1g-dev, libmigemo-dev,
+ libgnutls28-dev (>= 2.12), libgtkmm-3.0-dev, zlib1g-dev, libmigemo-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
  libgtest-dev,
 Homepage: https://github.com/JDimproved/JDim
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
 Vcs-Browser: https://salsa.debian.org/debian/jdim
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export GTEST_SRCDIR=/usr/src/googletest
 
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
-              --with-gtkmm3 \
+              --with-gtkmm3 --with-pangolayout \
               --with-sessionlib=xsmp --with-alsa --with-gthread \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict

## jdim 0.4.0

=== meson_options.txt ===
option('alsa', type : 'feature', value : 'disabled', description : 'Use sound effects')
option('compat_cache_dir', type : 'feature', value : 'enabled', description : 'Use compatible cache directory')
option('gprof', type : 'feature', value : 'disabled', description : 'Output profile information for gprof')
option('migemo', type : 'feature', value : 'disabled', description : 'Use text search by romaji')
option('migemodict', type : 'string', value : '', description : 'Default path for migemo dictionary file')
option('native', type : 'feature', value : 'disabled', description : 'Optimize to your machine')
option('pangolayout', type : 'feature', value : 'disabled', description : 'Render text by PangoLayout')
option('regex', type : 'combo', choices : ['posix', 'oniguruma', 'glib'], value : 'posix', description : 'Regex library to use')
option('sessionlib', type : 'combo', choices : ['xsmp', 'no'], value : 'xsmp', description : 'Use Session Management Protocol')
option('tls', type : 'combo', choices : ['gnutls', 'openssl'], value : 'gnutls', description : 'SSL/TLS library to use')

=== debian/changelog ===
jdim (0.4.0-1) unstable; urgency=medium

  * New upstream release 0.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * debian/rules
    - Update to use --with-thread=std instead of obsolete --with-gthread
    - Specify --with-xdgopen
  * debian/control
    - Use oniguruma for regex, add libonig-dev
    - Add Recommends: sensible-utils

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Jul 2020 00:06:10 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  libgnutls28-dev (>= 2.12), libgtkmm-3.0-dev, zlib1g-dev, libmigemo-dev,
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
- libgtest-dev,
+ libgtest-dev, libonig-dev,
 Homepage: https://github.com/JDimproved/JDim
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
@@ -15,7 +15,7 @@
 Package: jdim
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: cmigemo-common
+Recommends: cmigemo-common, sensible-utils
 Suggests: fonts-konatu | fonts-monapo | fonts-mona
 Breaks: jd
 Replaces: jd
@@ -34,5 +34,5 @@
  and directly retrieving thread data files to your local hard drives.
  .
  "2ch-style" web forum sites have their origins in 2channel, which was a very
- popular Internet forum in Japan. Such sites are often available only in the 
- Japanese language. 
+ popular Internet forum in Japan. Such sites are often available only in the
+ Japanese language.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
               --with-gtkmm3 --with-pangolayout \
-              --with-sessionlib=xsmp --with-alsa --with-gthread \
+              --with-sessionlib=xsmp --with-alsa --with-thread=std \
+              --with-xdgopen --with-regex=oniguruma \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict
 
 %:

## jdim 0.5.0

=== meson_options.txt ===
option('alsa', type : 'feature', value : 'disabled', description : 'Use sound effects')
option('build_tests', type : 'feature', value : 'auto', description : 'Build tests if gtest is found')
option('compat_cache_dir', type : 'feature', value : 'enabled', description : 'Use compatible cache directory')
option('gprof', type : 'feature', value : 'disabled', description : 'Output profile information for gprof')
option('migemo', type : 'feature', value : 'disabled', description : 'Use text search by romaji')
option('migemodict', type : 'string', value : '', description : 'Default path for migemo dictionary file')
option('native', type : 'feature', value : 'disabled', description : 'Optimize to your machine')
option('pangolayout', type : 'feature', value : 'disabled', description : 'Render text by PangoLayout')
option('regex', type : 'combo', choices : ['posix', 'oniguruma', 'glib'], value : 'glib', description : 'Regex library to use')
option('sessionlib', type : 'combo', choices : ['xsmp', 'no'], value : 'xsmp', description : 'Use Session Management Protocol')
option('tls', type : 'combo', choices : ['gnutls', 'openssl'], value : 'gnutls', description : 'SSL/TLS library to use')

=== debian/changelog ===
jdim (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 4.5.1
    - Adjust build dependency versions
  * debian/rules
    - Drop deprecated and default options
  * debian/patches
    - Refresh it
  * debian/upstream/metadata
    - Add Repository info

 -- Hideki Yamane <henrich@debian.org>  Sun, 10 Jan 2021 20:53:59 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
- libgnutls28-dev (>= 2.12), libgtkmm-3.0-dev, zlib1g-dev, libmigemo-dev,
+ libgnutls28-dev (>= 3.4.10), libgtkmm-3.0-dev (>= 3.18.0), zlib1g-dev (>= 1:1.2),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
- libgtest-dev, libonig-dev,
+ libgtest-dev, libonig-dev, libmigemo-dev,
 Homepage: https://github.com/JDimproved/JDim
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
 Vcs-Browser: https://salsa.debian.org/debian/jdim
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 export GTEST_SRCDIR=/usr/src/googletest
 
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
-              --with-gtkmm3 --with-pangolayout \
-              --with-sessionlib=xsmp --with-alsa --with-thread=std \
-              --with-xdgopen --with-regex=oniguruma \
+              --with-pangolayout \
+              --with-alsa \
+              --with-regex=oniguruma \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict
 
 %:

## jdim 0.6.0

=== debian/changelog ===
jdim (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - Detect OS and set --with-alsa as well

 -- Hideki Yamane <henrich@debian.org>  Sun, 11 Jul 2021 19:47:45 +0900

jdim (0.5.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse.
  * Update pattern for GitHub archive URLs.

 -- Hideki Yamane <henrich@debian.org>  Wed, 30 Jun 2021 21:44:34 +0900

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,19 @@
 # export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+export DEB_BUILD_OPTIONS=buildinfo=+path
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 export GTEST_SRCDIR=/usr/src/googletest
 
+ifeq ($(shell uname -s),Linux)
+  ALSA_OPTION=--with-alsa
+endif
+
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
-              --with-pangolayout \
-              --with-alsa \
+              --with-pangolayout $(ALSA_OPTION) \
               --with-regex=oniguruma \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict

## jdim 0.7.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
 option('migemodict', type : 'string', value : '', description : 'Default path for migemo dictionary file')
 option('native', type : 'feature', value : 'disabled', description : 'Optimize to your machine')
 option('pangolayout', type : 'feature', value : 'disabled', description : 'Render text by PangoLayout')
-option('regex', type : 'combo', choices : ['posix', 'oniguruma', 'glib'], value : 'glib', description : 'Regex library to use')
+option('regex', type : 'combo', choices : ['oniguruma', 'glib'], value : 'glib', description : 'Regex library to use')
 option('sessionlib', type : 'combo', choices : ['xsmp', 'no'], value : 'xsmp', description : 'Use Session Management Protocol')
 option('tls', type : 'combo', choices : ['gnutls', 'openssl'], value : 'gnutls', description : 'SSL/TLS library to use')

=== docs/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 build: $(BUNDLE_DIR)
 	$(JEKYLL) build -d $(DEST_DIR)
 
-clean: $(DEST_DIR)
+clean:
 	$(JEKYLL) clean -d $(DEST_DIR)
 
 distclean: clean
@@ -27,6 +27,6 @@
 
 
 $(GEMFILE_LOCK):
-	$(BUNDLE) install --path $(BUNDLE_DIR)
+	$(BUNDLE) install --jobs $(shell nproc) --path $(BUNDLE_DIR)
 
 $(BUNDLE_DIR): $(GEMFILE_LOCK)

=== debian/changelog ===
jdim (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - Drop obsolete regex option
  * debian/control
    - Set Standards-Version: 4.6.0
    - Drop libonig-dev as above rules change

 -- Hideki Yamane <henrich@debian.org>  Sun, 16 Jan 2022 18:59:29 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
  libgnutls28-dev (>= 3.4.10), libgtkmm-3.0-dev (>= 3.18.0), zlib1g-dev (>= 1:1.2),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
- libgtest-dev, libonig-dev, libmigemo-dev,
+ libgtest-dev, libmigemo-dev,
 Homepage: https://github.com/JDimproved/JDim
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
 Vcs-Browser: https://salsa.debian.org/debian/jdim
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-export DEB_BUILD_OPTIONS=buildinfo=+path
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -16,7 +15,6 @@
 
 jdim_option = --prefix=/usr --mandir=\$${prefix}/share/man \
               --with-pangolayout $(ALSA_OPTION) \
-              --with-regex=oniguruma \
 	      --with-migemo --with-migemodict=/usr/share/cmigemo/utf-8/migemo-dict
 
 %:

=== debian/watch ===
version=4
https://github.com/JDimproved/JDim/releases /JDimproved/JDim/archive/refs/tags/JDim-v@ANY_VERSION@@ARCHIVE_EXT@

## jdim 0.9.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 option('migemo', type : 'feature', value : 'disabled', description : 'Use text search by romaji')
 option('migemodict', type : 'string', value : '', description : 'Default path for migemo dictionary file')
 option('native', type : 'feature', value : 'disabled', description : 'Optimize to your machine')
+option('packager', type : 'string', value : '', description : 'String identifying the packager of this software')
 option('pangolayout', type : 'feature', value : 'disabled', description : 'Render text by PangoLayout')
-option('regex', type : 'combo', choices : ['oniguruma', 'glib'], value : 'glib', description : 'Regex library to use')
+option('regex', type : 'string', value : '', description : 'NO LONGER AVAILABLE')
 option('sessionlib', type : 'combo', choices : ['xsmp', 'no'], value : 'xsmp', description : 'Use Session Management Protocol')
 option('tls', type : 'combo', choices : ['gnutls', 'openssl'], value : 'gnutls', description : 'SSL/TLS library to use')

=== debian/changelog ===
jdim (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 4.6.2 with no changes

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Jan 2023 23:45:00 +0900

jdim (0.8.0-2) unstable; urgency=medium

  * debian/watch: Use api.github.com

 -- Hideki Yamane <henrich@debian.org>  Sat, 24 Sep 2022 14:39:14 +0900

jdim (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Use meson
  * debian/control
    - Set Standards-Version: 4.6.1 with no changes
    - Drop unnecessary autoconf-archive and add meson
    - Add Recommends: webp-pixbuf-loader, libavif-gdk-pixbuf
  * debian/rules
    - Fix FTCBFS: Don't ignore DEB_BUILD_OPTIONS. (Closes: #996499)
      Thanks to Helmut Grohne <helmut@subdivi.de>
    - update for meson

 -- Hideki Yamane <henrich@debian.org>  Sun, 31 Jul 2022 22:52:59 +0900

## jdim 0.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,5 @@
 option('native', type : 'feature', value : 'disabled', description : 'Optimize to your machine')
 option('packager', type : 'string', value : '', description : 'String identifying the packager of this software')
 option('pangolayout', type : 'feature', value : 'disabled', description : 'Render text by PangoLayout')
-option('regex', type : 'string', value : '', description : 'NO LONGER AVAILABLE')
 option('sessionlib', type : 'combo', choices : ['xsmp', 'no'], value : 'xsmp', description : 'Use Session Management Protocol')
 option('tls', type : 'combo', choices : ['gnutls', 'openssl'], value : 'gnutls', description : 'SSL/TLS library to use')

=== debian/changelog ===
jdim (0.10.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:20 +1100

jdim (0.10.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:12:35 +0000

jdim (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Jul 2023 19:40:45 +0900

jdim (0.10.0-1) unstable; urgency=medium

  * New upstream release
    - Can be built with GCC-13 (Closes: #1037701)

 -- Hideki Yamane <henrich@debian.org>  Sun, 09 Jul 2023 13:06:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: jdim
 Section: net
 Priority: optional
-Maintainer: Hideki Yamane <henrich@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libgnutls28-dev (>= 3.4.10), libgtkmm-3.0-dev (>= 3.18.0), zlib1g-dev (>= 1:1.2),
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], autoconf-archive,
+ libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], meson,
  libgtest-dev, libmigemo-dev,
 Homepage: https://github.com/JDimproved/JDim
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/jdim.git
 Vcs-Browser: https://salsa.debian.org/debian/jdim
 Rules-Requires-Root: no
@@ -15,7 +16,8 @@
 Package: jdim
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: cmigemo-common, sensible-utils
+Recommends: cmigemo-common, sensible-utils,
+            webp-pixbuf-loader, libavif-gdk-pixbuf,
 Suggests: fonts-konatu | fonts-monapo | fonts-mona
 Breaks: jd
 Replaces: jd

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_BUILD_OPTIONS=buildinfo=+path

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export GTEST_SRCDIR=/usr/src/googletest


ifeq ($(shell uname -s),Linux)
  ALSA_OPTION=-Dalsa=enabled
endif

jdim_option = $(ALSA_OPTION) \
              -Dmigemo=enabled -Dmigemodict=/usr/share/cmigemo/utf-8/migemo-dict

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(jdim_option)

override_dh_compress:
	dh_compress -X.xml
